/* UUSHRED 3.2   by Mark Neidengard mneideng@cosmos.acs.calpoly.edu   7-1993
   Routines for use by the correlate function */

int qualify (string)
char string[];
{
   int position=0, len=strlen (string);
   while (position<len) {
      if (string[position] >= '0' && string[position] <= '9') {
         position+=2;
         if (position<len && string[position]=='/') {
            ++position;
            if (position<len && string[position] >= '0' && string[position] <= '9')
               return position-3;
         }
         if (position<len && !strncmp(string+position," of ",4)) {
            position +=4;
            if (position<len && string[position] >= '0' && string[position] <= '9')
               return position-6;
         }
      continue;
      }
      ++position;
   }
   return -1;
}

int find_total (string,start)
char string[];
int start;
{
   start+=2;
   if (string[start]=='/') ++start;
   else start+=4;
   return ((string[start]-48)*10 + (string[start+1]-48));
}

int sequitur (string,part_no,first)
char string[];
int part_no,first;
{
   int number=(10*(string[first]-48)+(string[first+1]-48));
   switch (number-part_no) {
      case 0: return -1;break;
      case 1: return 1; break;
      default: return 0; break;
   }
}

backdate (the_array,start,offset)
struct subject_line the_array[];
int start, offset;
{
   while (offset >= 0) the_array[start+offset--].correlated=1;
}


correlate (sub_array,last)
struct subject_line sub_array[];
int last;
{
   int sub_counter=0;
   int first;
   int total;
   int part_no;
   int offset=0;
   int result; /* for sequitur() */

   while (sub_counter<last) {
      offset=0; part_no=0;
      if ((first=qualify (sub_array[sub_counter].string))==-1) {
         ++sub_counter;
         continue;
      }
      if (strncmp (((sub_array[sub_counter].string)+first),"01",2)) {
         sub_array[sub_counter++].correlated=1;
         continue;
      }
      total=find_total (sub_array[sub_counter].string,first);
      part_no=1;
      while ((sub_counter+part_no+offset)<last && qualify(sub_array[sub_counter+part_no+offset].string)==first) {
         if (strncmp (sub_array[sub_counter].string,sub_array[sub_counter+part_no+offset].string,first))
            break;
         if (!(result=sequitur (sub_array[sub_counter+part_no+offset].string,part_no,first)))
            break;
         if (result==-1) 
            sub_array[sub_counter+part_no+offset++].correlated=1;
         else ++part_no;
      }
      if (part_no > 0 && part_no != total) backdate (sub_array,sub_counter,part_no+offset-1);

      sub_counter+=(part_no+offset);
   }
}
