/* UUSHRED 3.2 Mark Neidengard mneideng@cosmos.acs.calpoly.edu 7-1993
   Messages for all seasons */

help_screen ()
{
   printf ("Unix-Unix Simple Hierarchial Reordering Decoder 3.2 7-1993\n");
   printf ("Mark Neidengard  mneideng@cosmos.acs.calpoly.edu\n");
   printf ("usage: uushred -[afiprs-] -[c<file>] -[n<file>] <source1> <source2>\n");
   printf ("-a  Avoid FAQ articles       -f  Files created by uushred\n");
   printf ("-i  Input subject list       -p  Phase information (status)\n");
   printf ("-r  Re: article skip         -s  Sorted subject list\n");
   printf ("--  Get input from stdin\n");
   printf ("-c  Correlate multipart uue's either to <file> or stdout\n");
   printf ("-n  No decode; merely output uue pieces in sorted order with\n");
   printf ("    optional <file> to put them in (default is stdout)\n\n");
   printf ("Examples: uushred -afspr -cuncorout.uue af.uue\n");
   printf ("  Decode from a composite uue with status, FAQ and Re: skip,\n");
   printf ("  subjects as sorted, files made, and multipart correlation.\n");
   printf ("  Incomplete uue's go undecoded to uncorout.uue\n");
   printf ("          uushred -arcuncorout.uue -nsortedout.uue af.uue\n");
   printf ("  Sort af.uue, avoid FAQ and Re:, correlate with incomplete\n");
   printf ("  uue's going to uncorout.uue, and send the valid uue's to\n");
   printf ("  sortedout.uue.\n");
   printf ("          uushred --arpc/tmp/4later.uue\n");
   printf ("  Decode with status info and FAQ and Re: avoidance from stdin\n");
   printf ("  and correlate with incomplete parts going to /tmp/4later.uue\n");
}

no_files (called_as)  /* passing argv[0] allows error routines to reflect */
char *called_as;      /* the actual commandline issued, not the program name */
{
   printf ("%s: No files specified for input\n", called_as);
}

file_error (called_as,error_file)
char *called_as, *error_file;
{
   printf ("%s: Couldn't open %s for input\n", called_as,error_file);
}

