/* UUSHRED 3.2 Mark Neidengard mneideng@cosmos.acs.calpoly.edu 7-1993
   Structure definitions  */
 
struct switches {
   int avoidance; /* avoid FAQ pieces (-a) */
   int correlate; /* multipart correlator (-c) */
   int files_made; /* output file check (-f) */
   int input_sub; /* input subject display (-i) */
   int no_decode; /* reorder pieces but do not decode (-n) */
   int phase_info; /* show phases of decode (-p) */
   int pipeline; /* input from stdin (--) */
   int re_skip; /* skip Re: subject lines (-r) */
   int sorted_sub; /* sorted subject display (-s) */
   char uncorrelated_out[30]; /* where to put uncorrelated stuff (for -c) */
   char undecoded_out[30]; /* where to save undecoded stuff (for -n) */
};
 
struct data_line {
   char string[91];
   int is_subject;
   struct data_line *next;
};

struct subject_line {
   char string[82];
   struct data_line *index;
   int correlated;
};

