/* Divide and Conquer!    written by Mark Neidengard for UUSHRED, 7-1993 */

#include <stdio.h>
#include <strings.h>

main (argc,argv)
int argc;
char *argv[];
{
FILE *infile,*outfile,*fopen();
int counter, number=0;
int pnumber=0;
int power=1;
char copy[31],part[5];
char buffer[91];
int length;
part[0]='.';

if (argc==1) {
      printf ("Usage: dnc <number-of-articles> <inputfile>\n");
      exit(1);
   }
   if (argc<3) {
      printf ("%s: not enough paramaters specified\n",argv[0]);
      exit (1);
   }

length=strlen(argv[1]);
for (counter=length-1;counter>=0;--counter,power*=10) {
   if (argv[1][counter] < '0' || argv[1][counter] > '9') {
      printf ("%s: invalid number of articles\n",argv[0]);
      exit(2);
   }
   number+=(argv[1][counter]-48)*power;
}

if ((infile=fopen(argv[2],"r"))==NULL)
  printf ("%s: could not open %s for input\n",argv[0],argv[2]),
  exit(3);

/* get ready for numbering the output parts */

counter=-1;
init (part,pnumber);
strcpy(copy,argv[2]);
if ((outfile=fopen(strcat(copy,part),"w"))==NULL)
   printf ("%s: could not write to %s\n",argv[0],copy),
   exit (3);

while (!feof(infile)) {
   fgets (buffer,90,infile);
   if (strncmp (buffer,"Subject: ",9)==0) {
      if (++counter==number) {
         counter=0;
         strcpy (copy,argv[2]);
         init (part,++pnumber);
         fclose (outfile);
         if ((outfile=fopen(strcat(copy,part),"w"))==NULL)
            printf ("%s: could not write to %s\n",argv[0],copy),
            exit(3);
         }
   putchar ('.');
      }
   fputs(buffer,outfile);
}
putchar('\n');
exit(0);
}

init (part,number)
char *part;
int number;
{
   part[1]=(number/100)+48;
   part[2]=((number%100)/10)+48;
   part[3]=(number%10)+48;
   part[4]='\0';
}

